<ion-header>
  <ion-navbar>
    <ion-title>더불어 정유련</ion-title>

    <ion-buttons end>
      <button ion-button icon-only (click)="presentPopover($event)">
        <ion-icon name="more"></ion-icon>
      </button>
    </ion-buttons>
  </ion-navbar>
</ion-header>

<ion-content>
  <ion-refresher (ionRefresh)="refresh($event)">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>
  <ion-searchbar (ionInput)="search($event)"></ion-searchbar>
  <ion-list no-lines>
    <ion-list-header>
    공지사항
    </ion-list-header>
    <ion-item *ngFor="let notice of notices" (click)="view(notice)">
      <h2>{{ notice.title }}</h2>
      <ion-note item-right>{{ betterName(notice.author) }}</ion-note>
    </ion-item>
  </ion-list>
  <ion-list no-lines>
    <ion-list-header>
      글타래들
    </ion-list-header>
    <ion-item *ngFor="let post of posts" (click)="view(post)">
      <ion-icon [name]="post.sticky ? 'pin' : 'document'" item-left></ion-icon>
      <h2>{{ post.title }}</h2>
      <h3>{{ post.date.last }}에 업데이트 됨</h3>
      <p>{{ post.view }} 조회, {{ post.likes }} 추천</p>
      <ion-note item-end style="font-size:0.85em">{{ betterName(post.author) }} / {{ betterName(post.last) }}</ion-note>
      <ion-row>
          <ion-badge *ngFor="let tag of post.tags" style="margin-right:5px;margin-bottom:3px">{{ tag }}</ion-badge>
      </ion-row>
    </ion-item>
  </ion-list>
  <ion-infinite-scroll (ionInfinite)="infinite($event)">
    <ion-infinite-scroll-content 
      loadingSpinner="bubbles"
      loadingText="{{ pageCount + 1 }} 페이지 불러오는 중...">></ion-infinite-scroll-content>
  </ion-infinite-scroll>
</ion-content>
